---
title: OpenAI Live | RunAPI
description: Send a request through RunAPI's OpenAI-compatible Live operation.
url: https://runapi.ai/tr/docs/api/openai/live.md
canonical: https://runapi.ai/tr/docs/api/openai/live
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/openai/live
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# OpenAI Live

## Genel Bakış

Use RunAPI's OpenAI-compatible Live operation with a compatible model and the protocol's request and response shapes.

### Hızlı başlangıç

1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
2. Uyumlu bir model seçin, ardından belgelenen yol parametrelerini ve JSON gövdesini gönderin.
3. Bu işlem için gösterilen JSON yanıtını veya sunucu tarafından gönderilen olayları okuyun ve protokol hatalarını işleyin.

## Uç Nokta

POST /v1/live/webrtc

Temel URL: https://runapi.ai

Sözleşme sürümü: v1

Tercih edilen kimlik doğrulama: Authorization: Bearer YOUR_API_TOKEN

## Kimlik doğrulama taşıyıcıları

RunAPI aşağıda listelenen her taşıyıcıyı kabul eder. Oluşturulan örnekler, protokolün tercih ettiği başlığı kullanır.

- `Authorization: Bearer YOUR_API_TOKEN` (Tercih edilen)
- `x-api-key: YOUR_API_TOKEN`

## Uyumlu modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

- [gpt-live-1](https://runapi.ai/tr/models/gpt)

## İstek sözleşmesi

Yalnızca hem genel protokol hem de RunAPI destek kanıtı olan alanlar listelenmektedir. Ek JSON gövde alanları doğrudan iletilir.

### JSON gövdesi

Gerekli: `model`, `transport`, `sdp`

```json
{
  "delegation": {
    "additionalProperties": true,
    "description": "Optional client or Responses delegation contract.",
    "properties": {
      "instructions": {
        "description": "Backend prompt for delegated work when type is responses.",
        "type": "string"
      },
      "max_output_tokens": {
        "description": "Output token budget for the delegated response.",
        "type": "integer"
      },
      "model": {
        "description": "Responses model that runs delegated work when type is responses.",
        "minLength": 1,
        "type": "string"
      },
      "parallel_tool_calls": {
        "description": "Allow independent delegated tool calls in one turn.",
        "type": "boolean"
      },
      "reasoning": {
        "additionalProperties": true,
        "description": "Reasoning settings for the delegated model.",
        "type": "object"
      },
      "service_tier": {
        "description": "Service tier requested for the delegated response.",
        "type": "string"
      },
      "text": {
        "additionalProperties": true,
        "description": "Text output settings for the delegated response.",
        "type": "object"
      },
      "tool_choice": {
        "description": "Which delegated tools the backend may use.",
        "type": [
          "string",
          "object"
        ]
      },
      "tools": {
        "description": "Hosted Responses tools, or client-owned function tools when type is client.",
        "items": {
          "additionalProperties": true,
          "properties": {
            "type": {
              "type": "string"
            }
          },
          "required": [
            "type"
          ],
          "type": "object"
        },
        "minItems": 1,
        "type": "array"
      },
      "type": {
        "enum": [
          "client",
          "responses"
        ],
        "type": "string"
      }
    },
    "type": [
      "object",
      "null"
    ]
  },
  "model": {
    "description": "RunAPI model identifier; Live currently supports gpt-live-1.",
    "type": "string"
  },
  "sdp": {
    "description": "Client SDP offer for the WebRTC session.",
    "minLength": 1,
    "type": "string"
  },
  "transport": {
    "const": "webrtc",
    "description": "WebRTC session negotiation transport.",
    "type": "string"
  }
}
```

### İstek örneği

```json
{
  "delegation": {
    "model": "gpt-5.6-terra",
    "tools": [
      {
        "type": "web_search_preview"
      }
    ],
    "type": "responses"
  },
  "model": "gpt-live-1",
  "sdp": "v=0",
  "transport": "webrtc"
}
```

## Eş zamanlı yanıt

HTTP 201

### Şema

```json
{
  "additionalProperties": true,
  "properties": {
    "session": {
      "additionalProperties": true,
      "type": "object"
    },
    "transport": {
      "additionalProperties": true,
      "type": "object"
    }
  },
  "required": [
    "session",
    "transport"
  ],
  "type": "object"
}
```

### Örnek

```json
{
  "session": {
    "id": "live_123"
  },
  "transport": {
    "sdp": "answer",
    "type": "webrtc"
  }
}
```

## Protokol hatası: invalid_request

HTTP 400

### Şema

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### Örnek

```json
{
  "error": {
    "code": null,
    "message": "Invalid Live session request",
    "param": "sdp",
    "type": "invalid_request_error"
  }
}
```

## Kullanım

### Şema

```json
{
  "additionalProperties": true,
  "properties": {
    "duration_seconds": {
      "type": "number"
    }
  },
  "required": [
    "duration_seconds"
  ],
  "type": "object"
}
```

### Örnek

```json
{
  "duration_seconds": 3
}
```

## Oluşturulan Kod Örnekleri

Her cURL, JavaScript ve Python örneği, protokole özgü bir SDK gerektirmeden bu sözleşmedeki doğrulanmış isteği gönderir.

### curl

```curl
curl -X POST https://runapi.ai/v1/live/webrtc \
  -H Authorization:\ Bearer\ YOUR_API_TOKEN \
  -H Content-Type:\ application/json \
  -d \{\"model\":\"gpt-live-1\",\"transport\":\"webrtc\",\"sdp\":\"v\=0\",\"delegation\":\{\"type\":\"responses\",\"model\":\"gpt-5.6-terra\",\"tools\":\[\{\"type\":\"web_search_preview\"\}\]\}\}
```

### javascript

```javascript
const response = await fetch("https://runapi.ai/v1/live/webrtc", {
  method: "POST",
  headers: {
  "Authorization": "Bearer YOUR_API_TOKEN",
  "Content-Type": "application/json"
},
  body: JSON.stringify({
  "model": "gpt-live-1",
  "transport": "webrtc",
  "sdp": "v=0",
  "delegation": {
    "type": "responses",
    "model": "gpt-5.6-terra",
    "tools": [
      {
        "type": "web_search_preview"
      }
    ]
  }
})
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
const data = await response.json();
console.log(data);
```

### python

#### Yükle

```bash
pip install requests
```

```python
import requests

response = requests.post(
    "https://runapi.ai/v1/live/webrtc",
    headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
    json={"model": "gpt-live-1", "transport": "webrtc", "sdp": "v=0", "delegation": {"type": "responses", "model": "gpt-5.6-terra", "tools": [{"type": "web_search_preview"}]}}
)
response.raise_for_status()
print(response.json())
```

## İlgili Kılavuzlar

- [Kimlik doğrulama](https://runapi.ai/tr/docs/guides/authentication.md)
- [Hızlı başlangıç](https://runapi.ai/tr/docs/guides/llm-api/quickstart.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "OpenAI Live",
    "description": "Send a request through RunAPI's OpenAI-compatible Live operation.",
    "url": "https://runapi.ai/tr/docs/api/openai/live",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/openai/live"
  }
]
```
